package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.book.controller
 * @Project：yp_rikao729
 * @name：UserController
 * @Date：2024/7/29 8:46
 */
@RestController
@RequestMapping("user")
public class UserController {

    @Autowired
    private UserService userService;


    /**
     * 2.	实现查询功能(20分)
     */
    @GetMapping("list")
    public Result list(){
        List<User> userList = userService.list();
        return Result.success(userList);
    }

     /**
     * 3.	实现删除功能(20分)
     */
     @PostMapping("del")
     public Result del(@RequestParam String id){
         Integer i = userService.del(id);
         return Result.success(i);
     }
}
