package com.bwie.user.service.impl;

import com.bwie.common.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.book.service.impl
 * @Project：yp_rikao729
 * @name：UserServiceImpl
 * @Date：2024/7/29 8:47
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;


    @Override
    public List<User> list() {
        return userMapper.list();
    }

    @Override
    public Integer del(String id) {
        return userMapper.del(id);
    }


}
